Bug 247770 - devel/notcurses: Update to 1.6.6
Summary: devel/notcurses: Update to 1.6.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-05 07:54 UTC by Nick Black
Modified: 2020-07-27 01:52 UTC (History)
1 user (show)

See Also:


Attachments
svn diff 1.5.2 -> 1.6.0 (1.70 KB, patch)
2020-07-05 07:54 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
svn diff 1.5.2 -> 1.6.1 (3.81 KB, patch)
2020-07-12 15:05 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff
svn diff 1.5.2 > 1.6.6 (3.89 KB, patch)
2020-07-20 03:24 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2020-07-05 07:54:59 UTC
Created attachment 216209 [details]
svn diff 1.5.2 -> 1.6.0

Update to new upstream 1.6.0. Add PYTHON option, and tie that into dependencies and CMake arguments. Add TEST_TARGET. Update entry in pkg-plist.
Comment 1 Tobias C. Berner freebsd_committer 2020-07-05 17:24:01 UTC
Moin moin 

there are some stage-qa errors you should look at:
=>> Error: Filesystem touched during stage (files must install to ${STAGEDIR}):
extra: usr/local/lib/python3.7/site-packages/notcurses-1.6.0-py3.7-freebsd-13.0-CURRENT-amd64.egg
usr/local/lib/python3.7/site-packages/easy-install.pth:


mfg Tobias
Comment 2 Nick Black 2020-07-05 17:41:01 UTC
Ack, I'll get on top of that, thanks! This is my first time using the options framework; sorry for any foolishness.
Comment 3 Nick Black 2020-07-06 05:25:04 UTC
By the way, when I run "make stage-qa" in either configuration, I get no warnings. What were you running to detect this error?

It looks like I was installing this file before without any mention in pkg-plist (at least, I have an old version present in my /usr/local, but it could have come from a wayward local build). I've taken a look at

http://www.freebsd.ch/doc/en_US.ISO8859-1/books/porters-handbook/book.html#using-python

but am not a Python person, and am a bit confused as to what all is going on here. I'm thinking I might just disable the Python wrappers for now.
Comment 4 Nick Black 2020-07-12 14:41:46 UTC
To comply with the Porter's Handbook section 6.17, it seems I need to be using USES_PYTHON=distutils, since my package provides a setup.py. This will also presumably eliminate plist-related python annoyances (I hope).

Unfortunately, throwing USES_PYTHON=distutils into my Makefile (along with the requisite PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}) renames my package and otherwise spectacularly fails. There are two paths I can take (so far as I can tell):

(1) somehow build two packages from a single source package: notcurses, plus py37-notcurses. is there a mechanism to do this -- two Makefiles or something, with one referencing the other? that's probably the best way to do it, if so. is this an appropriate way to use Flavors (it doesn't seem so)?

(2) otherwise, i can hack it into my pkg-plist with something like

%%PYTHON%%lib/%%PYTHON_VERSION%%/site-packages/notcurses-%%REL_VER%%-py%%PYTHON_VERSION%%-freebsd-12.1-RELEASE-amd64.egg
Comment 5 Nick Black 2020-07-12 15:04:56 UTC
In the meantime, I have made a patch for the new 1.6.1, which disables Python until I work out the associated issues.
Comment 6 Nick Black 2020-07-12 15:05:47 UTC
Created attachment 216404 [details]
svn diff 1.5.2 -> 1.6.1
Comment 7 Nick Black 2020-07-20 03:24:06 UTC
Created attachment 216592 [details]
svn diff 1.5.2 > 1.6.6

This brings devel/notcurses up to the current 1.6.6. This disables Python support for the package. I hope to reenable it in the near future.
Comment 8 Nick Black 2020-07-20 03:25:00 UTC
I've updated the patch to bring it up to 1.6.6. All Python has been disabled for the time being, until I understand that toolchain better. Adds TEST_TARGET.

Please take another look.
Comment 9 Tobias C. Berner freebsd_committer 2020-07-26 14:03:49 UTC
Committed, thank you :) 

I added a minor patch to install the manpages to prefix/man instead of prefix/share/man.


mfg Tobias
Comment 10 commit-hook freebsd_committer 2020-07-26 14:04:11 UTC
A commit references this bug:

Author: tcberner
Date: Sun Jul 26 14:03:25 UTC 2020
New revision: 543478
URL: https://svnweb.freebsd.org/changeset/ports/543478

Log:
  devel/notcureses: update to 1.6.6

  PR:		247770
  Submitted by:	Nick Black <nickblack@linux.com> (maintainer)

Changes:
  head/devel/notcurses/Makefile
  head/devel/notcurses/distinfo
  head/devel/notcurses/files/
  head/devel/notcurses/files/patch-CMakeLists.txt
  head/devel/notcurses/pkg-plist
Comment 11 Nick Black 2020-07-27 01:52:35 UTC
ahhh indeed, thank you very much for the fix!